org.apache.ignite.internal.managers.eventstorage

## Interface GridLocalEventListener

All Superinterfaces:
  EventListener

    public interface GridLocalEventListener
    extends EventListener

Listener for asynchronous local node grid events. You can subscribe for local node grid event notifications via `GridEventStorageManager.addLocalEventListener(GridLocalEventListener, int...)`.

Use `GridEventStorageManager.addLocalEventListener(org.apache.ignite.lang.IgnitePredicate, int...)` to register this listener with grid.

See Also:
  `IgniteEvents.localListen(org.apache.ignite.lang.IgnitePredicate, int...)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onEvent(Event evt)` Local event callback.

### Method Detail

#### onEvent

    void onEvent(Event evt)

Local event callback.

Parameters:
  `evt` - local grid event.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018